<header class="vironeer-page-header">
    <div class="vironeer-sibebar-icon me-auto">
        <i class="fa fa-bars fa-lg"></i>
    </div>
    <div class="row row-cols-auto g-3">
        <?php if(isAddonActive('license_verification_tool')): ?>
            <div class="col">
                <a href="<?php echo e(route('admin.license-verification.index')); ?>" class="btn btn-outline-success rounded-1">
                    <i class="fa-solid fa-key"></i>
                    <span class="d-none d-lg-inline ms-1"><?php echo e(translate('License Verification')); ?></span>
                </a>
            </div>
        <?php endif; ?>
        <div class="col">
            <a href="<?php echo e(route('admin.system.info.cache')); ?>" class="btn btn-outline-danger rounded-1 action-confirm">
                <i class="fa-solid fa-broom"></i>
                <span class="d-none d-lg-inline ms-1"><?php echo e(translate('Clear Cache')); ?></span>
            </a>
        </div>
        <div class="col">
            <a href="<?php echo e(url('/')); ?>" target="_blank" class="btn btn-outline-dark rounded-1">
                <i class="fa-solid fa-eye"></i>
                <span class="d-none d-lg-inline ms-1"><?php echo e(translate('Preview')); ?></span>
            </a>
        </div>
    </div>
    <div class="vironeer-notifications ms-2" data-dropdown-v2>
        <div class="vironeer-notifications-title">
            <i class="far fa-bell"></i>
            <div class="counter"><?php echo e($navbarNotifications['unread'] > 9 ? '9+' : $navbarNotifications['unread']); ?></div>
        </div>
        <div class="vironeer-notifications-menu">
            <div class="vironeer-notifications-header">
                <p class="vironeer-notifications-header-title mb-0">
                    <?php echo e(translate('Notifications')); ?> (<?php echo e($navbarNotifications['unread']); ?>)</p>
                <?php if($navbarNotifications['unread'] > 0): ?>
                    <div class="ms-auto">
                        <form action="<?php echo e(route('admin.notifications.read.all')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <button
                                class="vironeer-notifications-read-button action-confirm"><?php echo e(translate('Mark All as Read')); ?></button>
                        </form>
                    </div>
                <?php endif; ?>
            </div>
            <div class="vironeer-notifications-body">
                <?php $__empty_1 = true; $__currentLoopData = $navbarNotifications['list']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $navbarNotification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <?php if($navbarNotification->link): ?>
                        <a class="vironeer-notification <?php echo e(!$navbarNotification->status ? 'unread' : ''); ?>"
                            href="<?php echo e(route('admin.notifications.view', $navbarNotification->id)); ?>">
                            <div class="vironeer-notification-image">
                                <img src="<?php echo e($navbarNotification->image); ?>" alt="<?php echo e($navbarNotification->title); ?>">
                            </div>
                            <div class="vironeer-notification-info">
                                <p
                                    class="vironeer-notification-title mb-0 d-flex justify-content-between align-items-center">
                                    <span><?php echo e($navbarNotification->title); ?></span>
                                    <?php if(!$navbarNotification->status): ?>
                                        <span class="unread flashit"><i class="fas fa-circle"></i></span>
                                    <?php endif; ?>
                                </p>
                                <p class="vironeer-notification-text mb-0">
                                    <?php echo e($navbarNotification->created_at->diffforhumans()); ?>

                                </p>
                            </div>
                        </a>
                    <?php else: ?>
                        <div class="vironeer-notification <?php echo e(!$navbarNotification->status ? 'unread' : ''); ?>">
                            <div class="vironeer-notification-image">
                                <img src="<?php echo e($navbarNotification->image); ?>" alt="<?php echo e($navbarNotification->title); ?>">
                            </div>
                            <div class="vironeer-notification-info">
                                <p
                                    class="vironeer-notification-title mb-0 d-flex justify-content-between align-items-center">
                                    <span><?php echo e($navbarNotification->title); ?></span>
                                    <?php if(!$navbarNotification->status): ?>
                                        <span class="unread flashit"><i class="fas fa-circle"></i></span>
                                    <?php endif; ?>
                                </p>
                                <p class="vironeer-notification-text mb-0">
                                    <?php echo e($navbarNotification->created_at->diffforhumans()); ?>

                                </p>
                            </div>
                        </div>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <div class="empty">
                        <small class="text-muted mb-0"><?php echo e(translate('No notifications found')); ?></small>
                    </div>
                <?php endif; ?>
            </div>
            <a class="vironeer-notifications-footer" href="<?php echo e(route('admin.notifications.index')); ?>">
                <?php echo e(translate('View All')); ?>

            </a>
        </div>
    </div>
    <div class="vironeer-user-menu">
        <div class="vironeer-user" id="dropdownMenuButton" data-bs-toggle="dropdown">
            <div class="vironeer-user-avatar">
                <img src="<?php echo e(authAdmin()->getAvatar()); ?>" alt="<?php echo e(authAdmin()->getName()); ?>" />
            </div>
            <div class="vironeer-user-info d-none d-md-block">
                <p class="vironeer-user-title mb-0"><?php echo e(authAdmin()->getName()); ?></p>
                <p class="vironeer-user-text mb-0"><?php echo e(authAdmin()->email); ?></p>
            </div>
        </div>
        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
            <li>
                <a class="dropdown-item" href="<?php echo e(route('admin.account.index')); ?>">
                    <i class="fa-solid fa-cog me-1"></i>
                    <?php echo e(translate('Settings')); ?>

                </a>
            </li>
            <li>
                <a class="dropdown-item text-danger" href="#"
                    onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                    <i class="fas fa-sign-out-alt me-2"></i>
                    <?php echo e(translate('Logout')); ?>

                </a>
            </li>
        </ul>
        <form id="logout-form" action="<?php echo e(route('admin.logout')); ?>" method="POST">
            <?php echo csrf_field(); ?>
        </form>
    </div>
</header>
<?php /**PATH /Users/vironeer/Desktop/Workspace/market/resources/views/admin/includes/navbar.blade.php ENDPATH**/ ?>